import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import DisplayvideoLogoLight from './DisplayvideoLogoLight';
import DisplayvideoLogoDark from './DisplayvideoLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const DisplayvideoLogoSvg = forwardRef(function DisplayvideoLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(DisplayvideoLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(DisplayvideoLogoLight, Object.assign({}, props, { ref: ref })));
});
export default DisplayvideoLogoSvg;
